aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libaio/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-08-20 13:17:06 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-08-20 13:17:06 +0000
commitf64d34fa965ceaaad823d8aab6f28d29f0a9b426 (patch)
tree1a334c2278de17e4ceb74a6d5231ce5d14d540f5 /testing/libaio/APKBUILD
parent97c5223faa964187f4205cb676ae4b723662bef9 (diff)
downloadaports-f64d34fa965ceaaad823d8aab6f28d29f0a9b426.tar.gz
aports-f64d34fa965ceaaad823d8aab6f28d29f0a9b426.tar.bz2
aports-f64d34fa965ceaaad823d8aab6f28d29f0a9b426.tar.xz
testing/libaio: build fixes and shorten desc
Diffstat (limited to 'testing/libaio/APKBUILD')
-rw-r--r--testing/libaio/APKBUILD16
1 files changed, 10 insertions, 6 deletions
diff --git a/testing/libaio/APKBUILD b/testing/libaio/APKBUILD
index 4108c4eb20..0951b758bf 100644
--- a/testing/libaio/APKBUILD
+++ b/testing/libaio/APKBUILD
@@ -2,12 +2,12 @@
# Maintainer: Leonardo Arena <rnalrd@gmail.com>
pkgname="libaio"
pkgver="0.3.107"
-pkgrel=0
-pkgdesc="Asynchronous input/output library that uses the kernels native interface"
-url="http://www.kernel.org/pub/linux/kernel/people/andrea/libaio/ http://lse.sourceforge.net/io/aio.html"
+pkgrel=1
+pkgdesc="Asynchronous input/output library"
+url="http://lse.sourceforge.net/io/aio.html"
license="LGPL-2"
-depends="uclibc"
-makedepends=""
+depends=
+makedepends=
install=
subpackages="$pkgname-dev"
source="http://distfiles.gentoo.org/distfiles/$pkgname-$pkgver.tar.gz"
@@ -15,7 +15,11 @@ source="http://distfiles.gentoo.org/distfiles/$pkgname-$pkgver.tar.gz"
build() {
cd "$srcdir/$pkgname-$pkgver"
- make prefix="$pkgdir/usr" sysconfdir="$pkgdir/etc" mandir="$pkgdir/usr/share/man" infodir="$pkgdir/usr/share/info" install || return 1
+ make prefix="$pkgdir/usr" \
+ sysconfdir="$pkgdir/etc" \
+ mandir="$pkgdir/usr/share/man" \
+ infodir="$pkgdir/usr/share/info" \
+ install || return 1
}
md5sums="db32c19c61ca937bcb1ba48da9180682 libaio-0.3.107.tar.gz"